Skip to main content
POST
/
v2
/
auth
/
permissions
/
add
Add Permissions
curl --request POST \
  --url https://api.velt.dev/v2/auth/permissions/add \
  --header 'Content-Type: application/json' \
  --header 'x-velt-api-key: <x-velt-api-key>' \
  --header 'x-velt-auth-token: <x-velt-auth-token>' \
  --data '
{
  "data": {
    "user": {
      "userId": "<string>"
    },
    "permissions": {
      "resources": [
        {
          "type": "<string>",
          "id": "<string>",
          "organizationId": "<string>",
          "accessRole": "<string>",
          "expiresAt": 123
        }
      ]
    }
  }
}
'
import requests

url = "https://api.velt.dev/v2/auth/permissions/add"

payload = { "data": {
"user": { "userId": "<string>" },
"permissions": { "resources": [
{
"type": "<string>",
"id": "<string>",
"organizationId": "<string>",
"accessRole": "<string>",
"expiresAt": 123
}
] }
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
user: {userId: '<string>'},
permissions: {
resources: [
{
type: '<string>',
id: '<string>',
organizationId: '<string>',
accessRole: '<string>',
expiresAt: 123
}
]
}
}
})
};

fetch('https://api.velt.dev/v2/auth/permissions/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "result": {
    "status": "success",
    "message": "Permissions added successfully."
  }
}
Use this API to add permissions to a user for various resources like organizations, folders, documents, etc.
  • You can add permissions for multiple resources in a single API call.
  • The expiresAt field is optional. If provided, the permission will expire at the given timestamp.
Access Control
  • Set accessRole to viewer (read-only) or editor (read/write) on each resource to define the user’s capabilities for that resource.
  • accessRole can only be set via the v2 Users and Auth Permissions REST APIs. Frontend SDK methods do not accept or change accessRole.
  • Relevant endpoints: /v2/users/add, /v2/users/update, /v2/auth/permissions/add, /v2/auth/generate_token.
  • See the Access Control overview for concepts and detailed guidance.

Endpoint

POST https://api.velt.dev/v2/auth/permissions/add

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

data
object
required

Example Requests

1. Add permissions to a specific organization

{
  "data": {
    "user": {
      "userId": "some-user-id"
    },
    "permissions": {
      "resources": [
        {
          "type": "organization",
          "id": "YOUR_ORGANIZATION_ID",
          "accessRole": "editor"
        }
      ]
    }
  }
}

2. Add permissions to a specific document within an organization

{
  "data": {
    "user": {
      "userId": "some-user-id"
    },
    "permissions": {
      "resources": [
        {
          "type": "document",
          "id": "YOUR_DOCUMENT_ID",
          "organizationId": "YOUR_ORGANIZATION_ID",
          "accessRole": "editor",
          "expiresAt": 1728902400
        }
      ]
    }
  }
}

3. Add permissions to a specific folder within an organization

{
  "data": {
    "user": {
      "userId": "some-user-id"
    },
    "permissions": {
      "resources": [
        {
          "type": "folder",
          "id": "YOUR_FOLDER_ID",
          "organizationId": "YOUR_ORGANIZATION_ID",
          "accessRole": "editor"
        }
      ]
    }
  }
}

Response

Success Response

{
  "result": {
    "status": "success",
    "message": "Permissions added successfully."
  }
}

Failure Response

{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
{
  "result": {
    "status": "success",
    "message": "Permissions added successfully."
  }
}